.flex .row {
	display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
  padding-bottom: 8px;
}

/* Create four equal columns that floats next to eachother */
.flex .column {
  flex: 25%;
  max-width: 25%;
  padding: 0 4px;
  box-sizing: border-box;
}

.flex .black {
	background-color: black;
}

/* The Modal (background) */
.flex .modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 30px;
  padding-bottom: 30px;
  left: 0;
  top: 0;
  width: 100%;
  height: calc(100% - 60px);
  overflow: auto;
  background-color: black;
}

/* Modal Content */
.flex .modal-content {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 0;
  width: 90%;
  max-width: 1600px;
  height: 100%;
}

/* The Close Button */
.flex .close {
  color: white;
  position: absolute;
  top: 10px;
  right: 25px;
  font-size: 35px;
  font-weight: bold;
}

.flex .close:hover,
.flex .close:focus {
  color: #999;
  text-decoration: none;
  cursor: pointer;
}

/* Hide the slides by default */
.flex .mySlides {
  display: block;
  background-color: black;
  height: 100%;
}

.flex #slide_image{
  display: block;
  margin-left: auto;
  margin-right: auto;
  height: 100%;
}

/* Next & previous buttons */
.flex .prev,
.flex .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 20px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/* Position the "next button" to the right */
.flex .next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.flex .prev:hover,
.flex .next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* Number text (1/3 etc) */
.flex .numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* Caption text */
.flex .caption-container {
  text-align: center;
  background-color: black;
  padding: 2px 16px;
  color: white;
}

.flex .column img {
  margin-top: 8px;
  vertical-align: middle;
}

.flex img.demo {
  opacity: 0.6;
}

.flex img.active, .demo:hover {
  opacity: 1;
}

.flex img.hover-shadow {
  transition: 0.3s
}

.flex .hover-shadow:hover {
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.7);
}

@media only screen and (max-width: 767px) {
  .flex .column {
    flex: 50%;
    max-width: 50%;
  }
  .flex #slide_image{
    width: 100%;
    height: auto;
  }
}

@media only screen and (max-width: 479px) {
  .flex .column {
    flex: 100%;
    max-width: 100%;
  }
}